<?php

namespace Drupal\Tests\entity_purge\Unit\Configurator;

use Drupal\Tests\UnitTestCase;

/**
 * @coversDefaultClass \Drupal\entity_purge\Configurator\PluginBase
 *
 * @group contrib
 * @group entity_purge
 * @group unit
 */
class PluginBaseTest extends UnitTestCase {

  use PluginBaseTestTrait {
    testAllowEntityPurgeWithDebugging as allowEntityPurgeWithDebugging;
    testAllowEntityPurgeWithoutDebugging as allowEntityPurgeWithoutDebugging;
    testDefaultConfiguration as defaultConfiguration;
    testAllowEntityPurgeWithDefaults as allowEntityPurgeWithDefaults;
  }

  /**
   * Tests that entities are not purged when debugging is enabled.
   *
   * @covers ::run
   */
  public function testAllowEntityPurgeWithDebugging() {
    $this->allowEntityPurgeWithDebugging();
  }

  /**
   * Tests that entities are purged when debugging is disabled.
   *
   * @covers ::run
   */
  public function testAllowEntityPurgeWithoutDebugging() {
    $this->allowEntityPurgeWithoutDebugging();
  }

  /**
   * Tests that entities are purged with the default configuration.
   *
   * @covers ::run
   */
  public function testAllowEntityPurgeWithDefaults() {
    $this->allowEntityPurgeWithDefaults();
  }

  /**
   * Tests the expected default configuration.
   *
   * @covers ::run
   */
  public function testDefaultConfiguration() {
    $this->defaultConfiguration();
  }

}
